
%global meadversion 1.0.3
%global namedversion 1.0.3.redhat-5
%global meadalpha .redhat_5
%global meadrel .1
%global serial 12
%global namedversionrel redhat-5

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}scannotation}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.3.redhat-5

Name:           %{?scl_prefix}scannotation
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java library that creates an annotation database from a set of .class files
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: scannotation-1.0.3.redhat-5-scm-sources.zip
Source102: scannotation-1.0.3.redhat-5-javadoc.jar
Source103: scannotation-1.0.3.redhat-5.pom
Source104: scannotation-1.0.3.redhat-5-project-sources.tar.gz
Source105: scannotation-1.0.3.redhat-5.jar
Source106: scannotation-1.0.3.redhat-5-sources.jar
%endif

URL:            http://scannotation.sourceforge.net/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Scannotation is a Java library that creates an annotation database from a set
of .class files. This database is really just a set of maps that index what
annotations are used and what classes are using them. Why do you need this?
What if you are an annotation framework like an EJB 3.0 container and you want
to automatically scan your classpath for EJB annotations so that you know what
to deploy? Scannotation gives you apis that allow you to find archives in your
classpath or WAR (web application) that you want to scan, then automatically
scans them without loading each and every class within those archives.

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{pkg_name}
Group:          Development/Java


%description javadoc
Javadoc for %{pkg_name}.
%endif

%prep
%setup -q -n %{pkg_name} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/scannotation-%{namedversion}.jar %{buildroot}%{_javadir}/scannotation-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/scannotation-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/scannotation-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/scannotation-%{namedversion}-sources.jar %{buildroot}%{_javadir}/scannotation-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/scannotation-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc 
%{_javadir}/scannotation-%{namedversion}.jar
%{_javadir}/scannotation.jar
%if %with javadoc
%{_javadir}/scannotation-%{namedversion}-javadoc.jar
%{_javadir}/scannotation-javadoc.jar
%else
%exclude %{_javadir}/scannotation-%{namedversion}-javadoc.jar
%exclude %{_javadir}/scannotation-javadoc.jar
%endif
%{_javadir}/scannotation-%{namedversion}-sources.jar
%{_javadir}/scannotation-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Mon Nov 09 2015 David Walluck <dwalluck@redhat.com> - 1.0.3-12.redhat_5.1
- build for EAP 7

* Wed Jun 03 2015 David Walluck <dwalluck@redhat.com> - 1.0.3-11.redhat_4.2
- rebuild wrapper for RHEL 6

* Tue Mar 10 2015 David Walluck <dwalluck@redhat.com> - 1.0.3-9.redhat_4.2
- fix SCL Requires

* Tue Mar 10 2015 David Walluck <dwalluck@redhat.com> - 1.0.3-8.redhat_4.2
- release

* Thu May 08 2014 Permaine Cheung <pcheung@redhat.com> - 1.0.3-6.redhat_4.2
- Rewrap

* Thu Jan 16 2014 Fernando Nasser <fnasser@redhat.com> - 1.0.3-5.redhat_4.2
- Rebuild to test new RHEL-7 buildroot setup

* Thu Jan 16 2014 Fernando Nasser <fnasser@redhat.com> - 1.0.3-5.redhat_4.2
- Rebuild to test new RHEL-7 buildroot setup

* Thu Jan 16 2014 Fernando Nasser <fnasser@redhat.com> - 1.0.3-5.redhat_4.2
- Rebuild to test new RHEL-7 buildroot setup

* Thu Dec 12 2013 Fernando Nasser <fnasser@redhat.com> - 1.0.3-4.redhat_4.2
- Rebuild wrapper just for testing adding to RHEL-7 errata automatically

* Thu Dec 12 2013 Fernando Nasser <fnasser@redhat.com> - 1.0.3-4.redhat_4.2
- Rebuild wrapper just for testing adding to RHEL-7 errata automatically

* Thu Dec 12 2013 Fernando Nasser <fnasser@redhat.com> - 1.0.3-4.redhat_4.2
- Rebuild wrapper just for testing adding to RHEL-7 errata automatically

* Wed Dec 11 2013 Fernando Nasser <fnasser@redhat.com> - 1.0.3-3.redhat_4.2
- Re-wrap to test automated builds with SCL

* Wed Dec 11 2013 Fernando Nasser <fnasser@redhat.com> - 1.0.3-3.redhat_4.2
- Re-wrap to test automated builds with SCL

* Wed Dec 11 2013 Fernando Nasser <fnasser@redhat.com> - 1.0.3-3.redhat_4.2
- Re-wrap to test automated builds with SCL

* Wed Dec 11 2013 Fernando Nasser <fnasser@redhat.com> - 1.0.3-3.redhat_4.2
- Re-wrap to test automated builds with SCL

* Fri Oct 25 2013 Weinan Li <weli@redhat.com> - 0:1.0.3-2.redhat_4
- Fix wrong version in parent pom

* Mon Oct 14 2013 Weinan Li <weli@redhat.com> - 0:1.0.3-1.redhat_1
- Upgrade to 1.0.3

* Tue Jan 15 2013 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-9.redhat_2
- Rebuild for RHEL-7 (DSC enabled)

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-8.redhat_2.2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.2-7.redhat_2.2
- Update poms for eap 6.0.1

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-6.redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-6.redhat_1.1
- Rebuild using cache signing

* Mon Jul 16 2012 Yong Yang <yyang@redhat.com> - 0:1.0.2-6.redhat_1
- Fix rpmlint warning mixed-use-of-spaces-and-tabs

* Thu Jul 05 2012 Yong Yang <yyang@redhat.com> - 0:1.0.2-5.redhat_1
- First Mead build

* Thu Apr 12 2012 Yong Yang <yyang@redhat.com> - 0:1.0.2-4.redhat_1
- Build against target jb-eap-6-rhel-6-candidate
- Correct release

* Thu Apr 12 2012 Yong Yang <yyang@redhat.com> - 0:1.0.2-3.2.2_redhat_1.4
- Correct release

* Thu Apr 12 2012 Yong Yang <yyang@redhat.com> - 0:1.0.2-3.2.2_redhat_1.3
- Bump release to build against target jb-eap-6-devel-rhel-6-candidate

* Thu Apr 12 2012 Yong Yang <yyang@redhat.com> - 0:1.0.2-3.2.2_redhat_1.2
- Update vman patch to correct javax.servlet groupId and artifactId

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-3.2.2_redhat_1.1
- Rebuild using cache signing

* Tue Dec 13 2011 Yong Yang <yyang@redhat.com> - 0:1.0.2-3.2.2_redhat_1
- Build for werewolf
- Patch to change javassist groupId
- Add sources jar

* Tue Jan 25 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.0.2-3.2.1
- Rebuild

* Wed Nov 24 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.0.2-3.2
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR mavne-deploy-plugin
- Add the line to find and remove any binaries

* Mon Jun 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-3.1
- Fix Release tag

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-2.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.0.2-2.2
- Rebuild

* Wed Feb 03 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.0.2-2.1
- Disable aot Compiler

* Tue Dec 15 2009 Yong Yang <yyang@redhat.com> 0:1.0.2-2
- Add repolib

* Mon Nov 02 2009 Yong Yang <yyang@redhat.com> 0:1.0.2-1
- First release
